Return.annualized {PerformanceAnalytics} | R Documentation

## calculate an annualized return for comparing instruments with different length history

### Description

An average annualized return is convenient for comparing returns.

### Usage

    Return.annualized(R, scale = NA, geometric = TRUE)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`scale` | number of periods in a year (daily scale = 252, monthly scale = 12, quarterly scale = 4)
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE

### Details

Annualized returns are useful for comparing two assets. To do so, you must scale your observations to an annual scale by raising the compound return to the number of periods in a year, and taking the root to the number of total observations:

prod(1 + Ra)^(scale/n) - 1

where scale is the number of periods in a year, and n is the total number of periods for which you have observations.

For simple returns (geometric=FALSE), the formula is:

mean(R)*scale

### Author(s)

Peter Carl

### References

Bacon, Carl. Practical Portfolio Performance Measurement and Attribution. Wiley. 2004. p. 6

### See Also

`Return.cumulative`,

### Examples

    data(managers)
    Return.annualized(managers[,1,drop=FALSE])
    Return.annualized(managers[,1:8])
    Return.annualized(managers[,1:8],geometric=FALSE)

[Package PerformanceAnalytics version 1.5.3 Index]